package ch.psi.daq.queryrest.response.csv;

import java.util.function.Function;
import java.util.function.ToDoubleFunction;

import ch.psi.daq.domain.DataEvent;

public class AggregationStringifyer implements Function<DataEvent, String> {
   private ToDoubleFunction<DataEvent> accessor;
   private String nonValue;

   public AggregationStringifyer(ToDoubleFunction<DataEvent> accessor, String nonValue) {
      this.accessor = accessor;
      this.nonValue = nonValue;
   }

   @Override
   public String apply(DataEvent event) {
      if (event == null) {
         return nonValue;
      }else{
         return Double.toString(accessor.applyAsDouble(event));
      }
   }
}
